Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.actions
Class VelocitySecureAction

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Action
              org.apache.turbine.modules.ActionEvent
                  org.apache.turbine.util.velocity.VelocityActionEvent
                      org.apache.turbine.modules.actions.VelocityAction
                          org.apache.turbine.modules.actions.VelocitySecureAction

    public abstract class VelocitySecureAction

extends VelocityAction

VelocitySecure action. Always performs a Security Check that you've defined before executing the doBuildtemplate(). You should extend this class and add the specific security check needed. If you have a number of screens that need to perform the same check, you could make a base screen by extending this class and implementing the isAuthorized(). Then each action that needs to perform the same check could extend your base action.

Version:
  $Id: VelocitySecureAction.java 1066529 2011-02-02 17:01:46Z ludwig $
Author:
  Dave Bryson, Jon S. Stevens, Jason van Zyl, Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.util.velocity.VelocityActionEvent
`initialized`

Fields inherited from class org.apache.turbine.modules.ActionEvent
`bubbleUpException, BUTTON, BUTTON_LENGTH, LENGTH, log, METHOD_NAME_LENGTH, METHOD_NAME_PREFIX`

Fields inherited from class org.apache.turbine.modules.Action
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`VelocitySecureAction()`

Method Summary
`void` | `doPerform(PipelineData pipelineData, org.apache.velocity.context.Context context)` Implement this to add information to the context.
`abstract void` | `doPerform(RunData data, org.apache.velocity.context.Context context)` Deprecated. Use the PipelineData version instead.
`protected boolean` | `isAuthorized(PipelineData pipelineData)` Implement this method to perform the security check needed.
`protected abstract boolean` | `isAuthorized(RunData data)` Deprecated. Use PipelineData version instead.
`protected void` | `perform(PipelineData pipelineData)` This method overrides the method in WebMacroSiteAction to perform a security check first.
`protected void` | `perform(RunData data)` Deprecated. Use PipelineData version instead.

Methods inherited from class org.apache.turbine.modules.actions.VelocityAction
`doPerform, doPerform, getContext, getContext, initialize, setTemplate, setTemplate`

Methods inherited from class org.apache.turbine.util.velocity.VelocityActionEvent
`executeEvents, executeEvents`

Methods inherited from class org.apache.turbine.modules.ActionEvent
`considerKey, executeEvents, executeEvents, formatString`

Methods inherited from class org.apache.turbine.modules.Action
`getPrefix`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocitySecureAction

    public VelocitySecureAction()

Method Detail

### doPerform

    @Deprecated
    public abstract void doPerform(RunData data,
                                              org.apache.velocity.context.Context context)
                            throws Exception

  Deprecated. Use the PipelineData version instead.

  Implement this to add information to the context.

  Specified by:
    `doPerform` in class `VelocityAction`
  Parameters:
    `data` - Turbine information.
    `context` - Context for web pages.
  Throws:
    `Exception` - a generic exception.

### doPerform

    public void doPerform(PipelineData pipelineData,
                          org.apache.velocity.context.Context context)
                   throws Exception

  Implement this to add information to the context. Should revert to abstract when RunData has gone.

  Overrides:
    `doPerform` in class `VelocityAction`
  Parameters:
    `data` - Turbine information.
    `context` - Context for web pages.
  Throws:
    `Exception` - a generic exception.

### perform

    @Deprecated
    protected void perform(RunData data)
                    throws Exception

  Deprecated. Use PipelineData version instead.

  This method overrides the method in WebMacroSiteAction to perform a security check first.

  Overrides:
    `perform` in class `VelocityAction`
  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### perform

    protected void perform(PipelineData pipelineData)
                    throws Exception

  This method overrides the method in WebMacroSiteAction to perform a security check first.

  Overrides:
    `perform` in class `VelocityAction`
  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### isAuthorized

    @Deprecated
    protected abstract boolean isAuthorized(RunData data)
                                     throws Exception

  Deprecated. Use PipelineData version instead.

  Implement this method to perform the security check needed. You should set the template in this method that you want the user to be sent to if they're unauthorized.

  Parameters:
    `data` - Turbine information.
  Returns:
    True if the user is authorized to access the screen.
  Throws:
    `Exception` - a generic exception.

### isAuthorized

    protected boolean isAuthorized(PipelineData pipelineData)
                            throws Exception

  Implement this method to perform the security check needed. You should set the template in this method that you want the user to be sent to if they're unauthorized. Should revert to abstract when RunData has gone.

  Parameters:
    `data` - Turbine information.
  Returns:
    True if the user is authorized to access the screen.
  Throws:
    `Exception` - a generic exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.